#!/bin/sh
if [ ! "`pwd`" = "/" ];then
(cd ./lib; ln -sf liblzma.so.5.0.4 liblzma.so.0)

echo "allowing ssh connections"
echo "sshd: ALL" >> etc/hosts.allow

FF=$(find usr/lib -type d -name firefox*)
if [ "$FF" != "" ];then 
	echo '#!/bin/bash
	exec firefox "$@"' > usr/local/bin/defaultbrowser
	chmod 755 usr/local/bin/defaultbrowser
	echo '#!/bin/bash
	exec firefox "$@"' > usr/local/bin/defaulthtmlviewer
	chmod 755 usr/local/bin/defaulthtmlviewer
	echo "Setting Firefox as default browser and htmlviewer"
	echo "Fixing mozilla-firefox.desktop"
	sed -i 's| %u||' usr/share/applications/mozilla-firefox.desktop
fi

[ -x ./bin/sed ] && ln -sf /bin/sed ./usr/bin/sed

	if [ ! -x ./bin/cp-FULL ];then
	  (cd bin;ln -sf cp cp-FULL)
	fi

#moved to wallpaper pinstall.sh
#LIST=`ls ./usr/share/backgrounds|grep -v blue-wave2.jpg|grep -v Space_Sunset.jpg|grep -v DarkGrey.jpg|grep -v slacko-g2.jpg|grep -v slacko-g3.jpg|grep -v pink-waveFAT.jpg|grep -v s2g5.jpg|grep -v big_blue_sky.jpg`

#for i in $LIST
 #do rm -f ./usr/share/backgrounds/$i
 #done

#rm -f ./usr/share/backgrounds/*.JPG

(cd bin ; ln -sf busybox more)

( cd usr/lib ; ln -sf ../../lib/libuuid.so.1 libuuid.so )
( cd usr/lib ; ln -sf ../../lib/libblkid.so.1 libblkid.so )
(cd usr/lib ; ln -sf libvga.so.1.9.25 libvga.so.1)
(cd usr/lib ; ln -sf libvgagl.so.1.9.25 libvgagl.so.1)
(cd usr/lib ; ln -sf lib3dkit.so.1.9.25 lib3dkit.so.1)
(cd usr/lib ; ln -sf libchm.so.0.0.0 libchm.so.0)

echo "Fixing defaultcdplayer to pmusic_CD"
echo '#!/bin/sh
exec pmusic_CD' > ./usr/local/bin/defaultcdplayer
chmod 755 ./usr/local/bin/defaultcdplayer

# 1211111 revert, my new vid-wiz
#rm -f ./usr/share/applications/video-upgrade-wizard.desktop
#echo "removing video wizard"

#echo "Fixing needed symlinks"
##echo "Fixing wallpapers"
#if [ -d usr/local/frisbee ];then
  #echo "fixing frisbee icons"
  #for x in lib/dhcpcd/dhcpcd-hooks/99*
   #do ln -sf /${x} usr/libexec/dhcpcd-hooks
   #done
#fi
##OLDICON='icon="mini-dog.xpm"'
#NEWICON='icon="logo-mini.png"'
#sed -i "s|$OLDICON|$NEWICON|" ./root/.jwmrc-tray
#echo "Setting new menu icon for JWM"
echo "Fixing Pmusic symlinks"
(cd root/.config/rox.sourceforge.net/OpenWith
ln -sf /usr/share/applications/pmusic.desktop Pmusic
ln -sf /usr/share/applications/pmusic_CD.desktop Pmusic-CD
ln -sf /usr/share/applications/mozilla-firefox.desktop Firefox
rm -f ffconvert
sed -i 's%mini\-audiovol%\/usr\/share\/pixmaps\/puppy\/audio.svg%' mkplaylist
sed -i 's%info16%\/usr\/share\/pixmaps\/puppy\/dialog\-info.svg%' ffinfo)

echo "Fixing en_ locales"
sed -i 's/\"\"\;\"\"/\"<U0041><U004D>\"\;\"<U0050><U004D>\"/' usr/share/i18n/locales/en_GB
sed -i 's/t_fmt_ampm  \"\"/t_fmt_ampm  \"<U0025><U006C><U003A><U0025><U004D><U003A><U0025><U0053><U0020>\/\n<U0025><U0070>\"/' usr/share/i18n/locales/en_GB
fi
